clang-tools 10.0.0

Public Member Functions | List of all members
clang::tidy::bugprone::CharExpressionDetector Class Reference

## Public Member Functions
| CharExpressionDetector (QualType CharType, const ASTContext &Ctx)
bool | isLikelyCharExpression (const Expr *E) const

## Detailed Description

Definition at line 48 of file StringIntegerAssignmentCheck.cpp.

## Constructor & Destructor Documentation

## ◆ CharExpressionDetector()

clang::tidy::bugprone::CharExpressionDetector::CharExpressionDetector | ( | QualType | CharType,
|  | const ASTContext & | Ctx
| ) |  |
| inline

Definition at line 50 of file StringIntegerAssignmentCheck.cpp.

## Member Function Documentation

## ◆ isLikelyCharExpression()

bool clang::tidy::bugprone::CharExpressionDetector::isLikelyCharExpression | ( | const Expr * | E | ) | const
| inline

Definition at line 53 of file StringIntegerAssignmentCheck.cpp.

The documentation for this class was generated from the following file:

- StringIntegerAssignmentCheck.cpp